> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sinancode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tongyi Qianwen 画像編集

> 阿里百煉通義萬相画像生成モデル。テキストからの画像生成と画像編集の2つのモードをサポートします。imagesパラメータを渡さない場合はテキストからの画像生成モード、imagesパラメータ（最大3枚）を渡す場合は画像編集モードになります。

[アリババクラウド](https://www.aliyun.com) Tongyi Qianwen 画像編集モデル (qwen-image-edit-plus) を使用して画像を編集します。

**モデルの特徴:**

* **複数画像入出力** - 複数画像入力と複数画像出力をサポート
* **テキスト修正** - 画像内テキストを正確に修正
* **オブジェクト操作** - オブジェクトの追加削除や移動、主体のアクション変更
* **スタイル転送** - 画像スタイルの転送と画面ディテールの強化


## OpenAPI

````yaml /ja/openapi.yaml POST /generate/bailian/qwen-image-plus
openapi: 3.0.0
info:
  contact:
    email: support@sinancode.com
    name: API Support
    url: https://sinancode.com/support
  description: AIモデルタスクスケジューリングプラットフォーム API
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  termsOfService: https://sinancode.com/terms-of-service
  title: TikTomato API
  version: '1.0'
servers:
  - url: https://api.sinancode.com/v1
    description: 本番サーバー
security: []
paths:
  /generate/bailian/qwen-image-plus:
    post:
      tags:
        - public
      summary: 通義萬相画像生成
      description: >-
        阿里百煉通義萬相画像生成モデル。テキストからの画像生成と画像編集の2つのモードをサポートします。imagesパラメータを渡さない場合はテキストからの画像生成モード、imagesパラメータ（最大3枚）を渡す場合は画像編集モードになります。
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/bailian.CreateBailianQwenImagePlusTaskRequest
        description: タスクパラメータ
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.CreateTaskResponse'
        '400':
          description: パラメータエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
        '401':
          description: 未認証
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
        '404':
          description: モデルが存在しません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
        '500':
          description: サーバーエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
      security:
        - AccessToken: []
components:
  schemas:
    bailian.CreateBailianQwenImagePlusTaskRequest:
      properties:
        images:
          description: |-
            入力画像リスト（オプション、0-3枚、画像編集モード用）
            指定しない場合はテキストから画像生成モード、指定した場合は画像編集モードとなります
          items:
            type: string
          maxItems: 3
          type: array
        negative_prompt:
          description: ネガティブプロンプト（オプション、最大 500 文字）
          maxLength: 500
          type: string
        prompt:
          description: ポジティブプロンプト（必須、最大 800 文字）
          maxLength: 800
          minLength: 1
          type: string
        prompt_extend:
          description: プロンプトのインテリジェントリライトを有効化（オプション、デフォルト true）
          type: boolean
        seed:
          description: ランダムシード（オプション、範囲 0-2147483647）
          maximum: 2147483647
          minimum: 0
          type: integer
        size:
          description: |-
            画像サイズ（オプション、デフォルト 1328*1328）
            選択可能な値：1664*928, 1472*1140, 1328*1328, 1140*1472, 928*1664
          enum:
            - 1664*928
            - 1472*1140
            - 1328*1328
            - 1140*1472
            - 928*1664
          type: string
      required:
        - images
        - prompt
      type: object
    dto.CreateTaskResponse:
      properties:
        task_id:
          description: タスクID
          example: 01234567-89ab-cdef-0123-456789abcdef
          type: string
      required:
        - task_id
      type: object
    apierror.ErrorResponse:
      properties:
        error_code:
          description: '機械可読なエラーコード（例: TASK.INVALID_PARAMS）'
          type: string
        message:
          description: ユーザーフレンドリーなエラーメッセージ
          type: string
      type: object
  securitySchemes:
    AccessToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Tokenを使用して認証を行ってください

````